Skip to main content
POST
/
evidence
Attach evidence to an intent
curl --request POST \
  --url https://api.getovra.com/evidence \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "intentId": "<string>",
  "type": "receipt",
  "description": "<string>",
  "url": "<string>",
  "amountEuros": 1,
  "merchant": "<string>"
}
'
{
  "id": "<string>",
  "intentId": "<string>",
  "agentId": "<string>",
  "ownerId": "<string>",
  "type": "<string>",
  "description": "<string>",
  "url": "<string>",
  "amountEuros": 123,
  "merchant": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Body

application/json
intentId
string
required
Minimum string length: 1
type
enum<string>
Available options:
receipt,
screenshot,
invoice,
confirmation,
other
description
string
url
string<uri>
amountEuros
number
Required range: x >= 0
merchant
string

Response

Evidence created

id
string
intentId
string
agentId
string
ownerId
string
type
string
description
string | null
url
string | null
amountEuros
number | null
merchant
string | null
createdAt
string<date-time>